import { SplineSeriesBase } from "./SplineSeriesBase";
import { CategoryLineRasterizer } from "./CategoryLineRasterizer";
import { Series } from "./Series";
import { SeriesView } from "./SeriesView";
import { CategoryTransitionInMode } from "./CategoryTransitionInMode";
import { Type, Point } from "igniteui-react-core";
import { CategoryMode } from "./CategoryMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { SeriesVisibleRangeMode } from "./SeriesVisibleRangeMode";
import { CategoryFrame } from "./CategoryFrame";
import { CategorySeriesView } from "./CategorySeriesView";
import { List$1 } from "igniteui-react-core";
import { Path } from "igniteui-react-core";
import { PointCollection } from "igniteui-react-core";
import { UnknownValuePlotting } from "igniteui-react-core";
import { SplineSeriesBaseView } from "./SplineSeriesBaseView";
import { Clipper } from "igniteui-react-core";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class SplineAreaSeries extends SplineSeriesBase {
    static $t: Type;
    protected bc(): Series;
    protected get_d9(): boolean;
    protected get_fe(): boolean;
    protected cd(): SeriesView;
    protected vy(): CategoryTransitionInMode;
    o2(a: SeriesView): void;
    z1: SplineAreaSeriesView;
    constructor();
    z0: CategoryLineRasterizer;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    cj(): SeriesVisibleRangeMode;
    nk(a: boolean, b: SeriesView): void;
    f5(a: Point, b: boolean): boolean;
    w7(a: CategoryFrame, b: CategorySeriesView): void;
    get useHighMarkerFidelity(): boolean;
}
/**
 * @hidden
 */
export declare class SplineAreaSeriesView extends SplineSeriesBaseView {
    static $t: Type;
    protected df: SplineAreaSeries;
    constructor(a: SplineAreaSeries);
    au(): void;
    private dn;
    private dq;
    private dp;
    private dr;
    get ds(): Path;
    get dt(): Path;
    get du(): Path;
    get dv(): Path;
    dg(): void;
    dh(a: number, b: List$1<number[]>, c: boolean, d: number, e: number, f: (arg1: PointCollection, arg2: PointCollection, arg3: PointCollection, arg4: PointCollection, arg5: boolean) => void, g: UnknownValuePlotting): void;
    di(a: number, b: List$1<number[]>, c: boolean, d: number, e: number, f: (arg1: PointCollection, arg2: PointCollection, arg3: PointCollection, arg4: PointCollection, arg5: boolean) => void, g: UnknownValuePlotting, h: Clipper): void;
    private dj;
    private dl;
    private dk;
    private dm;
    protected be(): void;
    protected a8(a: RenderingContext, b: boolean): void;
    an(a: any): void;
    protected af(): void;
}
